Get negotiated operations, effects, events, and limits
curl --request GET \
--url https://loyalty.example.com/lip/v1/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://loyalty.example.com/lip/v1/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://loyalty.example.com/lip/v1/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"protocol_version": "<string>",
"profiles": [
"<string>"
],
"operations": [
"<string>"
],
"reward_effects": [
"<string>"
],
"event_types": [
"<string>"
],
"limits": {
"max_body_bytes": 2,
"max_idempotency_key_length": 2,
"reservation_ttl_seconds": 2
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}Discovery
Get negotiated operations, effects, events, and limits
GET
/
capabilities
Get negotiated operations, effects, events, and limits
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Supported LIP capabilities
Allowed value:
"1.0"Minimum array length:
1Allowed value:
"foodservice/1.0"Minimum array length:
1Allowed value:
"member.lookup"Minimum array length:
1Allowed value:
"discount"Allowed value:
"org.loyalty-interchange.member.enrolled.v1"Show child attributes
Show child attributes
⌘I